Retrieves default object ACL entries on the specified
[bucket](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets.md.txt).

## Required permissions

To use this method, the authenticated user must have the following IAM permissions
for the bucket containing the default object ACL entry:

- `storage.buckets.get`
- `storage.buckets.getIamPolicy`

> [!NOTE]
> **Important:** This method fails with a `400 Bad Request` response for buckets with uniform bucket-level access enabled. Use [`storage.buckets.getIamPolicy`](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/getIamPolicy.md.txt) and [`storage.buckets.setIamPolicy`](https://docs.cloud.google.com/storage/docs/json_api/v1/buckets/setIamPolicy.md.txt) to control access instead.

## Request

### HTTP request

```
GET https://storage.googleapis.com/storage/v1/b/bucket/defaultObjectAcl
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following query parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | Name of a bucket. |
| **Optional query parameters** |||
| `ifMetagenerationMatch` | `long` | If present, only return default ACL listing if the bucket's current metageneration matches this value. |
| `ifMetagenerationNotMatch` | `long` | If present, only return default ACL listing if the bucket's current metageneration does not match the given value. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "storage#objectAccessControls",
  "items": [
    defaultObjectAccessControls Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of item this is. For lists of object access control entries, this is always `storage#objectAccessControls`. |   |
| `items[]` | `list` | The list of [defaultObjectAccessControls](https://docs.cloud.google.com/storage/docs/json_api/v1/defaultObjectAccessControls.md.txt). |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.